<?php
/**
 * Plugin Name: WooCommerce Order Display - Items bought (EasyToolsWP)
 * Description: Display the top 3 most expensive order items in the orders overview.
 * Version: 1.0
 * Author: EasyToolsWP.com
 * Author URI: https://www.easytoolswp.com
 */

add_filter('manage_edit-shop_order_columns', 'custom_order_details_columns');
function custom_order_details_columns($columns){
    $columns['order_items'] = __('Items bought');
    return $columns;
}

add_action('manage_shop_order_posts_custom_column', 'custom_order_details_column_content');
function custom_order_details_column_content($column){
    global $post;

    if($column === 'order_items'){
        $order = wc_get_order($post->ID);
        $items = $order->get_items();

        usort($items, function ($a, $b) {
            return $b->get_total() - $a->get_total();
        });

        $top_items = array_slice($items, 0, 3);

        $remaining_items_count = count($items) - count($top_items);

        echo '<ul>';
        foreach($top_items as $item_id => $item){
            $product = $item->get_product();
            echo '<li>' . $product->get_name() . ' &times; ' . $item->get_quantity() . '</li>';
        }

        if ($remaining_items_count > 0) {
            echo '<li>+ items (' . $remaining_items_count . ')</li>';
        }

        echo '</ul>';
    }
}
?>
